IncomingMessage (GNU cryptographic primitives and tools)
Keywords: gnu.crypto.key.IncomingMessage,IncomingMessage class

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.crypto.key
Class IncomingMessage

    java.lang.Object
      |
      +--gnu.crypto.key.IncomingMessage

public class IncomingMessage
extends java.lang.Object

An implementation of an incoming message for use with key agreement protocols.

Field Summary
`protected java.io.ByteArrayInputStream` | `in` The internal buffer stream containing the message's contents.
`protected int` | `length` The length of the message contents, according to its 4-byte header.

Constructor Summary
`IncomingMessage(byte[] b)` Constructs an incoming message given the message's encoded form, including its header bytes.

Method Summary
`static int` | `fourBytesToLength(byte[] b)` Converts four octets into the number that they represent.
`static IncomingMessage` | `getInstance(byte[] raw)` Returns an instance of a message given its encoded contents, excluding the message's header bytes.
`static IncomingMessage` | `getInstance(byte[] raw, int offset, int len)` Returns an instance of a message given its encoded contents, excluding the message's header bytes.
`boolean` | `hasMoreElements()`
`java.math.BigInteger` | `readMPI()` Decodes an MPI from the current message's contents.
`java.security.PrivateKey` | `readPrivateKey()`
`java.security.PublicKey` | `readPublicKey()`
`java.lang.String` | `readString()`
`static int` | `twoBytesToLength(byte[] b)` Converts two octets into the number that they represent.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### in

    protected java.io.ByteArrayInputStream in

  The internal buffer stream containing the message's contents.

### length

    protected int length

  The length of the message contents, according to its 4-byte header.

Constructor Detail

### IncomingMessage

    public IncomingMessage(byte[] b)
                    throws KeyAgreementException

  Constructs an incoming message given the message's encoded form, including its header bytes.

Parameters:
  `b` - the encoded form, including the header bytes, of an incoming message.
Throws:
  `KeyAgreementException` - if the buffer is malformed.

Method Detail

### getInstance

    public static IncomingMessage getInstance(byte[] raw)

  Returns an instance of a message given its encoded contents, excluding the message's header bytes.

  Calls the method with the same name and three arguments as: `getInstance(raw, 0, raw.length)`.

  Parameters:
    `raw` - the encoded form, excluding the header bytes.
  Returns:
    a new instance of `IncomingMessage`.

### getInstance

    public static IncomingMessage getInstance(byte[] raw,
                                              int offset,
                                              int len)

  Returns an instance of a message given its encoded contents, excluding the message's header bytes.

  Parameters:
    `raw` - the encoded form, excluding the header bytes.
    `offset` - offset where to start using raw bytes from.
    `len` - number of bytes to use.
  Returns:
    a new instance of `IncomingMessage`.

### twoBytesToLength

    public static int twoBytesToLength(byte[] b)
                                throws KeyAgreementException

  Converts two octets into the number that they represent.

  Parameters:
    `b` - the two octets.
  Returns:
    the length.
    `KeyAgreementException`

### fourBytesToLength

    public static int fourBytesToLength(byte[] b)
                                 throws KeyAgreementException

  Converts four octets into the number that they represent.

  Parameters:
    `b` - the four octets.
  Returns:
    the length.
    `KeyAgreementException`

### hasMoreElements

    public boolean hasMoreElements()

### readPublicKey

    public java.security.PublicKey readPublicKey()
                                          throws KeyAgreementException

    `KeyAgreementException`

### readPrivateKey

    public java.security.PrivateKey readPrivateKey()
                                            throws KeyAgreementException

    `KeyAgreementException`

### readMPI

    public java.math.BigInteger readMPI()
                                 throws KeyAgreementException

  Decodes an MPI from the current message's contents.

  Returns:
    a native representation of an MPI.
  Throws:
    `KeyAgreementException` - if an encoding exception occurs during the operation.

### readString

    public java.lang.String readString()
                                throws KeyAgreementException

    `KeyAgreementException`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001, 2002, 2003, 2004 Free Software Foundation, Inc.